Home | All Classes | Grouped Classes | Index | Search

# Class CL_Keyboard

Keyboard class. More...

Derived from: none
Derived by: none
Group: Display (Input)

#include <ClanLib/display.h>

Attributes:

get_device_count | Returns the number of keyboards available.
get_device | Returns a keyboard device.
get_keycode | Returns true if the key with the specified key code is pressed.
get_key_name | Key name for specified identifier (A, B, Space, Backspace).

Signals:

sig_key_down | Signal emitted when key is pressed on the specified keyboard.
sig_key_up | Signal emitted when key is released on the specified keyboard.

Detailed description:

!group=Display/Input! !header=display.h!
Questions or comments, write to the ClanLib mailing list.